Bug 1018750 (CVE-2013-5849)

Summary: CVE-2013-5849 OpenJDK: insufficient DataFlavor security checks (AWT, 8012277)
Product: [Other] Security Response Reporter: Tomas Hoger <thoger>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: dbhole, jkurik, jvanek, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20131015,reported=20131009,source=oracle,cvss2=4.3/AV:N/AC:M/Au:N/C:P/I:N/A:N,rhel-5/java-1.6.0-openjdk=affected,rhel-6/java-1.6.0-openjdk=affected,rhel-5/java-1.7.0-openjdk=affected,rhel-6/java-1.7.0-openjdk=affected,rhel-5/java-1.7.0-oracle=affected,rhel-6/java-1.7.0-oracle=affected,rhel-5/java-1.5.0-ibm=affected,rhel-6/java-1.5.0-ibm=affected,rhel-5/java-1.6.0-ibm=affected,rhel-6/java-1.6.0-ibm=affected,rhel-5/java-1.7.0-ibm=affected,rhel-6/java-1.7.0-ibm=affected
Fixed In Version: icedtea 2.4.3, icedtea 1.11.14, icedtea 1.12.7 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-12-08 17:24:16 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1017595, 1017632    

Description Tomas Hoger 2013-10-14 07:24:43 EDT
It was discovered that DataFlavor class in the AWT component of OpenJDK failed to perform security checks properly.  An untrusted Java application or applet could possibly use this flaw to bypass certain Java sandbox restrictions because of insufficient checks of package access restrictions, or class loader access permission.

http://docs.oracle.com/javase/7/docs/api/java/awt/datatransfer/DataFlavor.html
Comment 1 Stefan Cornelius 2013-10-16 02:52:19 EDT
External References:

http://www.oracle.com/technetwork/topics/security/cpuoct2013-1899837.html
Comment 2 Tomas Hoger 2013-10-16 04:24:49 EDT
Fixed in Oracle Java SE 7u45 and 6u65.

OpenJDK upstream commit:

http://hg.openjdk.java.net/jdk7u/jdk7u/jdk/rev/b6ab933f06e0
Comment 3 errata-xmlrpc 2013-10-17 13:40:13 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6
  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2013:1440 https://rhn.redhat.com/errata/RHSA-2013-1440.html
Comment 4 errata-xmlrpc 2013-10-21 13:45:10 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:1447 https://rhn.redhat.com/errata/RHSA-2013-1447.html
Comment 5 errata-xmlrpc 2013-10-22 13:20:38 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1451 https://rhn.redhat.com/errata/RHSA-2013-1451.html
Comment 6 errata-xmlrpc 2013-11-05 13:05:50 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:1505 https://rhn.redhat.com/errata/RHSA-2013-1505.html
Comment 7 errata-xmlrpc 2013-11-07 11:57:48 EST
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6
  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2013:1509 https://rhn.redhat.com/errata/RHSA-2013-1509.html
Comment 8 errata-xmlrpc 2013-11-07 12:02:44 EST
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:1508 https://rhn.redhat.com/errata/RHSA-2013-1508.html
Comment 9 errata-xmlrpc 2013-11-07 12:09:23 EST
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:1507 https://rhn.redhat.com/errata/RHSA-2013-1507.html
Comment 10 errata-xmlrpc 2013-12-05 12:41:34 EST
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4
  Red Hat Network Satellite Server v 5.5
  Red Hat Satellite Server v 5.6

Via RHSA-2013:1793 https://rhn.redhat.com/errata/RHSA-2013-1793.html
Comment 12 errata-xmlrpc 2014-04-17 07:36:44 EDT
This issue has been addressed in following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 5

Via RHSA-2014:0414 https://rhn.redhat.com/errata/RHSA-2014-0414.html